Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.iiop
Class SunJDK14IsLocalBugFix

    java.lang.Object
      com.sun.corba.se.internal.javax.rmi.CORBA.Util
          com.sun.corba.se.internal.iiop.ShutdownUtilDelegate
              org.jboss.iiop.SunJDK14IsLocalBugFix

All Implemented Interfaces:
  UtilDelegate

public class SunJDK14IsLocalBugFix
extends com.sun.corba.se.internal.iiop.ShutdownUtilDelegate

There is a bug in Sun's implementation of the method javax.rmi.CORBA.Util.isLocal(). Stubs generated with the rmic tool call this method to check is the call is a local invocation, which they can optimize. However, Sun's implementation of isLocal() tries to cast the stub to a proprietary class. This is against the rules. Since the ORB is pluggable ("-Dorg.omg.CORBA.ORBClass=...), Sun's implementation of a standard (javax.rmi) method should not assume that the stubs are Sun stubs.

Version:
  $Revision: 1.1 $
Author:
  Francisco Reverbel

Constructor Summary
`SunJDK14IsLocalBugFix()`

Method Summary
`boolean` | `isLocal(Stub stub)`

Methods inherited from class com.sun.corba.se.internal.iiop.ShutdownUtilDelegate
`mapSystemException, unregisterTargetsForORB, writeAny`

Methods inherited from class com.sun.corba.se.internal.javax.rmi.CORBA.Util
`cleanUpTie, copyObject, copyObjects, createValueHandler, getCodebase, getTie, loadClass, readAny, registerTarget, unexportObject, unregisterTargetsForORB, wrapException, writeAbstractObject, writeRemoteObject`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SunJDK14IsLocalBugFix

    public SunJDK14IsLocalBugFix()

Method Detail

### isLocal

    public boolean isLocal(Stub stub)
                    throws RemoteException

  Throws:
    `RemoteException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002 JBoss Group, LLC. All Rights Reserved.